Index: main/trunk/greenstone2/perllib/dbutil.pm
===================================================================
--- main/trunk/greenstone2/perllib/dbutil.pm	(revision 21545)
+++ main/trunk/greenstone2/perllib/dbutil.pm	(revision 21546)
@@ -37,25 +37,25 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::open_infodb_write_handle($infodb_file_path);
+    return &dbutil::sqlite::open_infodb_write_handle($infodb_file_path, @_);
   } 
   elsif ($infodb_type eq "gdbm-txtgz") 
   {
     require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::open_infodb_write_handle($infodb_file_path);
+    return &dbutil::gdbmtxtgz::open_infodb_write_handle($infodb_file_path, @_);
   } 
   elsif ($infodb_type eq "jdbm") 
   {
     require dbutil::jdbm;
-    return &dbutil::jdbm::open_infodb_write_handle($infodb_file_path);
+    return &dbutil::jdbm::open_infodb_write_handle($infodb_file_path, @_);
   } 
   elsif ($infodb_type eq "mssql") 
   {
     require dbutil::mssql;
-    return &dbutil::mssql::open_infodb_write_handle($infodb_file_path);
-  } 
-
-  # Use GDBM if the infodb type is empty or not one of the values above
-  require dbutil::gdbm;
-  return &dbutil::gdbm::open_infodb_write_handle($infodb_file_path);
+    return &dbutil::mssql::open_infodb_write_handle($infodb_file_path, @_);
+  } 
+
+  # Use GDBM if the infodb type is empty or not one of the values above
+  require dbutil::gdbm;
+  return &dbutil::gdbm::open_infodb_write_handle($infodb_file_path, @_);
 }
 
@@ -69,25 +69,25 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::close_infodb_write_handle($infodb_handle);
-  }
-  elsif ($infodb_type eq "gdbm-txtgz")
-  {
-    require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::close_infodb_write_handle($infodb_handle);
-  }
-  elsif ($infodb_type eq "jdbm")
-  {
-    require dbutil::jdbm;
-    return &dbutil::jdbm::close_infodb_write_handle($infodb_handle);
-  }
-  elsif ($infodb_type eq "mssql")
-  {
-    require dbutil::mssql;
-    return &dbutil::mssql::close_infodb_write_handle($infodb_handle);
+    return &dbutil::sqlite::close_infodb_write_handle($infodb_handle, @_);
+  }
+  elsif ($infodb_type eq "gdbm-txtgz")
+  {
+    require dbutil::gdbmtxtgz;
+    return &dbutil::gdbmtxtgz::close_infodb_write_handle($infodb_handle, @_);
+  }
+  elsif ($infodb_type eq "jdbm")
+  {
+    require dbutil::jdbm;
+    return &dbutil::jdbm::close_infodb_write_handle($infodb_handle, @_);
+  }
+  elsif ($infodb_type eq "mssql")
+  {
+    require dbutil::mssql;
+    return &dbutil::mssql::close_infodb_write_handle($infodb_handle, @_);
   }
     
   # Use GDBM if the infodb type is empty or not one of the values above
   require dbutil::gdbm;
-  return &dbutil::gdbm::close_infodb_write_handle($infodb_handle);
+  return &dbutil::gdbm::close_infodb_write_handle($infodb_handle, @_);
 }
 
@@ -110,15 +110,15 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::get_infodb_file_path($collection_name, $infodb_directory_path);
-  }
-  elsif ($infodb_type eq "gdbm-txtgz")
-  {
-    require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::get_infodb_file_path($collection_name, $infodb_directory_path);
-  }
-  elsif ($infodb_type eq "jdbm")
-  {
-    require dbutil::jdbm;
-    return &dbutil::jdbm::get_infodb_file_path($collection_name, $infodb_directory_path);
+    return &dbutil::sqlite::get_infodb_file_path($collection_name, $infodb_directory_path, @_);
+  }
+  elsif ($infodb_type eq "gdbm-txtgz")
+  {
+    require dbutil::gdbmtxtgz;
+    return &dbutil::gdbmtxtgz::get_infodb_file_path($collection_name, $infodb_directory_path, @_);
+  }
+  elsif ($infodb_type eq "jdbm")
+  {
+    require dbutil::jdbm;
+    return &dbutil::jdbm::get_infodb_file_path($collection_name, $infodb_directory_path, @_);
   }
   elsif ($infodb_type eq "mssql")
@@ -136,10 +136,10 @@
     #==================================================================================================#
     require dbutil::mssql;
-    return &dbutil::mssql::get_infodb_file_path($collection_name, $infodb_directory_path); 
+    return &dbutil::mssql::get_infodb_file_path($collection_name, $infodb_directory_path, @_); 
   }
   
   # Use GDBM if the infodb type is empty or not one of the values above
   require dbutil::gdbm;
-  return &dbutil::gdbm::get_infodb_file_path($collection_name, $infodb_directory_path);
+  return &dbutil::gdbm::get_infodb_file_path($collection_name, $infodb_directory_path, @_);
 }
 
@@ -154,25 +154,25 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::read_infodb_file($infodb_file_path, $infodb_map);
-  }
-  elsif ($infodb_type eq "gdbm-txtgz")
-  {
-    require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::read_infodb_file($infodb_file_path, $infodb_map);
-  }
-  elsif ($infodb_type eq "jdbm")
-  {
-    require dbutil::jdbm;
-    return &dbutil::jdbm::read_infodb_file($infodb_file_path, $infodb_map);
-  }
-  elsif ($infodb_type eq "mssql")
-  {
-    require dbutil::mssql;
-    return &dbutil::mssql::read_infodb_file($infodb_file_path, $infodb_map);
+    return &dbutil::sqlite::read_infodb_file($infodb_file_path, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "gdbm-txtgz")
+  {
+    require dbutil::gdbmtxtgz;
+    return &dbutil::gdbmtxtgz::read_infodb_file($infodb_file_path, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "jdbm")
+  {
+    require dbutil::jdbm;
+    return &dbutil::jdbm::read_infodb_file($infodb_file_path, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "mssql")
+  {
+    require dbutil::mssql;
+    return &dbutil::mssql::read_infodb_file($infodb_file_path, $infodb_map, @_);
   }
   
   # Use GDBM if the infodb type is empty or not one of the values above
   require dbutil::gdbm;
-  return &dbutil::gdbm::read_infodb_file($infodb_file_path, $infodb_map);
+  return &dbutil::gdbm::read_infodb_file($infodb_file_path, $infodb_map, @_);
 }
 
@@ -188,25 +188,25 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map);
-  }
-  elsif ($infodb_type eq "gdbm-txtgz")
-  {
-    require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map);
-  }
-  elsif ($infodb_type eq "jdbm")
-  {
-    require dbutil::jdbm;
-    return &dbutil::jdbm::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map);
-  }
-  elsif ($infodb_type eq "mssql")
-  {
-    require dbutil::mssql;
-    return &dbutil::mssql::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map);
-  }
-
-  # Use GDBM if the infodb type is empty or not one of the values above
-  require dbutil::gdbm;
-  return &dbutil::gdbm::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map);
+    return &dbutil::sqlite::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "gdbm-txtgz")
+  {
+    require dbutil::gdbmtxtgz;
+    return &dbutil::gdbmtxtgz::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "jdbm")
+  {
+    require dbutil::jdbm;
+    return &dbutil::jdbm::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map, @_);
+  }
+  elsif ($infodb_type eq "mssql")
+  {
+    require dbutil::mssql;
+    return &dbutil::mssql::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map, @_);
+  }
+
+  # Use GDBM if the infodb type is empty or not one of the values above
+  require dbutil::gdbm;
+  return &dbutil::gdbm::write_infodb_entry($infodb_handle, $infodb_key, $infodb_map, @_);
 }
 
@@ -221,25 +221,25 @@
   {
     require dbutil::sqlite;
-    return &dbutil::sqlite::delete_infodb_entry($infodb_handle, $infodb_key);
-  }
-  elsif ($infodb_type eq "gdbm-txtgz")
-  {
-    require dbutil::gdbmtxtgz;
-    return &dbutil::gdbmtxtgz::delete_infodb_entry($infodb_handle, $infodb_key);
-  }
-  elsif ($infodb_type eq "jdbm")
-  {
-    require dbutil::jdbm;
-    return &dbutil::jdbm::delete_infodb_entry($infodb_handle, $infodb_key);
-  }
-  elsif ($infodb_type eq "mssql")
-  {
-    require dbutil::mssql;
-    return &dbutil::mssql::delete_infodb_entry($infodb_handle, $infodb_key);
-  }
-
-  # Use GDBM if the infodb type is empty or not one of the values above
-  require dbutil::gdbm;
-  return &dbutil::gdbm::delete_infodb_entry($infodb_handle, $infodb_key);
+    return &dbutil::sqlite::delete_infodb_entry($infodb_handle, $infodb_key, @_);
+  }
+  elsif ($infodb_type eq "gdbm-txtgz")
+  {
+    require dbutil::gdbmtxtgz;
+    return &dbutil::gdbmtxtgz::delete_infodb_entry($infodb_handle, $infodb_key, @_);
+  }
+  elsif ($infodb_type eq "jdbm")
+  {
+    require dbutil::jdbm;
+    return &dbutil::jdbm::delete_infodb_entry($infodb_handle, $infodb_key, @_);
+  }
+  elsif ($infodb_type eq "mssql")
+  {
+    require dbutil::mssql;
+    return &dbutil::mssql::delete_infodb_entry($infodb_handle, $infodb_key, @_);
+  }
+
+  # Use GDBM if the infodb type is empty or not one of the values above
+  require dbutil::gdbm;
+  return &dbutil::gdbm::delete_infodb_entry($infodb_handle, $infodb_key, @_);
 }
 