Index: /main/trunk/greenstone2/perllib/cgiactions/metadataaction.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cgiactions/metadataaction.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/cgiactions/metadataaction.pm	(revision 21566)
@@ -515,6 +515,5 @@
     $metapos = 0 if (!defined $metapos);
 
-    my $doc_db = "archiveinf-doc.gdb";
-    my $arcinfo_doc_filename = &util::filename_cat ($archive_dir, $doc_db);
+    my $arcinfo_doc_filename = &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", $archive_dir);
 
     my $doc_rec_string = &dbutil::read_infodb_entry("gdbm", $arcinfo_doc_filename, $docid);
@@ -693,8 +692,5 @@
 
     if (defined $docid) {
-
-	my $doc_db = "archiveinf-doc.gdb";
-	my $arcinfo_doc_filename = &util::filename_cat ($archive_dir, $doc_db);
-
+	my $arcinfo_doc_filename = &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", $archive_dir);
 	my $doc_rec_string = &dbutil::read_infodb_entry("gdbm", $arcinfo_doc_filename, $docid);
 	my $doc_rec = &dbutil::convert_infodb_string_to_hash($doc_rec_string);
Index: /main/trunk/greenstone2/perllib/doc.pm
===================================================================
--- /main/trunk/greenstone2/perllib/doc.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/doc.pm	(revision 21566)
@@ -1030,5 +1030,5 @@
 }
 
-# used for writing out archiveinf-doc.gdb, to list all the metadata files
+# used for writing out the archiveinf-doc info database, to list all the metadata files
 sub get_meta_files {
     my $self = shift (@_);
Index: /main/trunk/greenstone2/perllib/inexport.pm
===================================================================
--- /main/trunk/greenstone2/perllib/inexport.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/inexport.pm	(revision 21566)
@@ -36,10 +36,10 @@
 sub src_db_file {
     my ($archivedir) = @_;
-    return &util::filename_cat ($archivedir, "archiveinf-src.gdb");
+    return &dbutil::get_infodb_file_path("gdbm", "archiveinf-src", $archivedir);
 }
 
 sub doc_db_file {
     my ($archivedir) = @_;
-    return &util::filename_cat ($archivedir, "archiveinf-doc.gdb");
+    return &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", $archivedir);
 }
 
Index: /main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/plugins/ArchivesInfPlugin.pm	(revision 21566)
@@ -24,8 +24,7 @@
 ###########################################################################
 
-# plugin which reads through an archives.inf (or info database equivalent,
-# archiveinf-doc.gdb file -- i.e. the file generated in the
-# archives directory when an import is done), processing each file it
-# finds
+# plugin which reads through an archives.inf (or archiveinf-doc info database equivalent)
+# -- i.e. the file generated in the archives directory when an import is done),
+# processing each file it finds
 
 package ArchivesInfPlugin;
@@ -224,6 +223,5 @@
 ##    my $archive_info_filename = &util::filename_cat($base_dir,$file,"archives.inf");
 
-    my $doc_db = "archiveinf-doc.gdb";
-    my $archive_info_filename = &util::filename_cat($base_dir,$file,$doc_db);
+    my $archive_info_filename = &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", &util::filename_cat($base_dir, $file));
 
     if (-e $archive_info_filename) {
Index: /main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/plugins/DirectoryPlugin.pm	(revision 21566)
@@ -132,6 +132,5 @@
 	my $output_dir = $processor->getoutputdir();
 ##	my $archives_inf = &util::filename_cat($output_dir,"archives.inf");
-	my $doc_db = "archiveinf-doc.gdb";
-    	my $archives_inf = &util::filename_cat($output_dir,$doc_db);
+    	my $archives_inf = &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", $output_dir);
 
 	if ( -e $archives_inf ) {
Index: /main/trunk/greenstone2/perllib/plugouts/BasePlugout.pm
===================================================================
--- /main/trunk/greenstone2/perllib/plugouts/BasePlugout.pm	(revision 21565)
+++ /main/trunk/greenstone2/perllib/plugouts/BasePlugout.pm	(revision 21566)
@@ -743,6 +743,6 @@
     my $output_dir = $self->{'output_dir'};
 
-    my $doc_db = &util::filename_cat($output_dir,"archiveinf-doc.gdb");
-    my $src_db = &util::filename_cat($output_dir,"archiveinf-src.gdb");
+    my $doc_db = &dbutil::get_infodb_file_path("gdbm", "archiveinf-doc", $output_dir);
+    my $src_db = &dbutil::get_infodb_file_path("gdbm", "archiveinf-src", $output_dir);
 
     ##print STDERR "*** To set in db: \n\t$doc_db\n\t$oid\n\t$doc_db_text\n";
Index: /main/trunk/greenstone2/perllib/strings.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings.properties	(revision 21565)
+++ /main/trunk/greenstone2/perllib/strings.properties	(revision 21566)
@@ -705,5 +705,5 @@
 AcronymExtractor.markup_acronyms:Add acronym metadata into document text.
 
-ArchivesInfPlugin.desc:Plugin which processes the archive info database (archiveinf-doc.gdb) which is generated by the import process. It passes each archive file listed in the database to the plugin pipeline to be processed by GreenstoneXMLPlugin.
+ArchivesInfPlugin.desc:Plugin which processes the archive info database (archiveinf-doc) which is generated by the import process. It passes each archive file listed in the database to the plugin pipeline to be processed by GreenstoneXMLPlugin.
 ArchivesInfPlugin.reversesort:Sort in reverse order. Useful if the -sortmeta option was used with import.pl.
 
Index: /main/trunk/greenstone2/perllib/strings_fr.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_fr.properties	(revision 21565)
+++ /main/trunk/greenstone2/perllib/strings_fr.properties	(revision 21566)
@@ -692,5 +692,5 @@
 AcronymExtractor.markup_acronyms:Ajouter des mÃ©tadonnÃ©es d'acromyme au texte du document  
 
-ArchivesInfPlugin.desc:Plugiciel qui traite la base de donnÃ©es d'informations sur les archives (archiveinf-doc.gdb) qui est gÃ©nÃ©rÃ©e pendant le processus d'importation. Il transmet chaque fichier d'archive rÃ©fÃ©rencÃ© dans la base au pipeline de plugiciels pour Ãªtre traitÃ© par GreenstoneXMLPlugin.  
+ArchivesInfPlugin.desc:Plugiciel qui traite la base de donnÃ©es d'informations sur les archives (archiveinf-doc) qui est gÃ©nÃ©rÃ©e pendant le processus d'importation. Il transmet chaque fichier d'archive rÃ©fÃ©rencÃ© dans la base au pipeline de plugiciels pour Ãªtre traitÃ© par GreenstoneXMLPlugin.  
 
 AutoExtractMetadata.desc:Plugiciel de base qui rassemble toutes les fonctionnalitÃ©s d'extraction des plugiciels d'extraction.  
Index: /main/trunk/greenstone2/perllib/strings_zh.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings_zh.properties	(revision 21565)
+++ /main/trunk/greenstone2/perllib/strings_zh.properties	(revision 21566)
@@ -884,5 +884,5 @@
 
 ArchivesInfPlugin.desc:æ¬æä»¶å€çå¯Œå
-¥è¿çšçæçå­æ¡£æä»¶æ°æ®åºïŒarchives-doc.gdbïŒãå®å°è¯¥æ°æ®åºäž­çæ¯äžªå­æ¡£ïŒarchiveïŒæä»¶éè¿ç®¡éæºå¶éäº€ç»GreenstoneXMLPluginå€çã  
+¥è¿çšçæçå­æ¡£æä»¶æ°æ®åºïŒarchives-docïŒãå®å°è¯¥æ°æ®åºäž­çæ¯äžªå­æ¡£ïŒarchiveïŒæä»¶éè¿ç®¡éæºå¶éäº€ç»GreenstoneXMLPluginå€çã  
 
 AutoExtractMetadata.desc:å°æœåæä»¶äž­æææœååèœèéå°äžèµ·çåºæ¬æä»¶  