Index: /main/trunk/release-kits/build.xml
===================================================================
--- /main/trunk/release-kits/build.xml	(revision 21592)
+++ /main/trunk/release-kits/build.xml	(revision 21593)
@@ -10,4 +10,12 @@
 		</ant>
 	</target>
+	<target name="clean">
+		<ant dir="shared/core/ant-tasks/greenstone" inheritAll="false" target="clean">
+			<property name="crypt.jar" value="${basedir}/shared/core/lib/crypt.jar"/>
+		</ant>
+		<ant dir="shared/core/ant-installer" inheritAll="false" target="clean">
+			<property name="antlib" value="${ant.home}/lib"/>
+		</ant>
+	</target>
 
 </project>
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21592)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21593)
@@ -118,5 +118,5 @@
 	<target name="make-common-src">
 		<exec dir="${basedir}/compiled/common-src" executable="make" failonerror="true"/>
-		<exec dir="${basedir}/compiled/common-src" executable="make" failonerror="true"><arg value="install"/></exec>
+		<!--<exec dir="${basedir}/compiled/common-src" executable="make" failonerror="true"><arg value="install"/></exec>-->
 	</target>
 
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 21592)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 21593)
@@ -136,5 +136,5 @@
 	<target name="strip-execs">
 		<exec dir="${basedir}/compiled/bin/${os.shell}" executable="find" failonerror="true">
-			<arg line="! -name . -type f -maxdepth 1 -exec strip {} &#59;"/>
+			<arg line=". ! -name . -type f -maxdepth 1 -exec strip {} &#59;"/>
 		</exec>
 	</target>
@@ -143,5 +143,5 @@
 
 		<!-- linux, mac -->
-		<if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
+		<if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
 			<exec dir="${basedir}/compiled" executable="${rk.home}/kits/rk2/resources/build-demo.sh" failonerror="true"/>
 
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml	(revision 21592)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/create-cdrom-components.xml	(revision 21593)
@@ -145,5 +145,5 @@
 		<!-- linux -->
 		<else><if><bool><equals arg1="${rk.os}" arg2="linux"/></bool>
-			<copy file="${rk.home}/linux/wrapper.cpp" todir="cdrom/build" overwrite="true"/>
+			<copy file="${rk.home}/shared/linux/wrapper.cpp" todir="cdrom/build" overwrite="true"/>
 
 			<echo level="info">compile the cdrom wrapper</echo>
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/wrap.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/wrap.xml	(revision 21592)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/wrap.xml	(revision 21593)
@@ -98,4 +98,12 @@
 			</exec>
 
+			<!-- figure out jar size (web jar) -->
+			<exec executable="ls" dir="wrapped-installer" outputproperty="greenstone2.jar.ls"><arg line="-l greenstone2.jar"/></exec>
+			<exec executable="sed" inputstring="${greenstone2.jar.ls}" outputproperty="greenstone2.jar.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+
+			<!-- figure out java size -->
+			<exec executable="ls" dir="wrapped-installer" outputproperty="java.ls"><arg line="-l ${linux-java.installer}"/></exec>
+			<exec executable="sed" inputstring="${java.ls}" outputproperty="java.size"><arg line="-e 's/^[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *[^\ ]*\ *\([0-9]*\).*$/\1/g'"/></exec>
+
 			<!-- creating wrapper header file -->
 			<delete file="wrapper.h"/>
Index: /main/trunk/release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21592)
+++ /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21593)
@@ -24,7 +24,10 @@
 		<property name="basedir.local" refid="basedir.path"/>
 
-		<!-- size of resource chunks (wrapper) -->
+		<!-- size of resource chunks (windows wrapper) -->
 		<property name="resources.chunksize" value="8388608"/>
-		
+
+		<!-- the extra space for the dmg image in KB (mac wrapper) -->
+        	<property name="dmg.overhead" value="2048"/>
+
 		<!-- current date and time -->
 		<tstamp>
@@ -169,9 +172,11 @@
 		</else></if></else></if></else></if></else></if>
 
-		<!-- set os.suffix -->
+		<!-- set os.suffix and os.shell -->
 		<if><bool><equals arg1="${rk.os}" arg2="mac"/></bool>
 			<property name="os.suffix" value="MacOS-intel"/>
+			<property name="os.shell" value="darwin"/>
 		</if>
 		<property name="os.suffix" value="${rk.os}"/>
+		<property name="os.shell" value="${rk.os}"/>
 
 		<!-- show important properties -->