Index: /main/trunk/release-kits/kits/rk2/ant-scripts/create-installer.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/create-installer.xml	(revision 21607)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/create-installer.xml	(revision 21608)
@@ -16,5 +16,5 @@
 		<!-- windows -->
 		<if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<fileset dir="${rk.home}/shared/windows/7za" includes="7za.exe"/>
+			<copy todir="installer/classes" file="${rk.home}/shared/windows/7za/7za.exe"/>
 		<!-- linux and mac -->
 		<else><if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
Index: /main/trunk/release-kits/kits/rk2/installer/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 21607)
+++ /main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 21608)
@@ -223,5 +223,5 @@
 			execute="${installDir}\server.exe"
 			workingDirectory="${installDir}"
-			iconFile="${installDir}\web\images\serverico.ico"
+			iconFile="${installDir}\web\images\server.ico"
 			iconIndex="0" />
 
@@ -230,5 +230,5 @@
 			execute="${installDir}\gli\gli.bat"
 			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\icon.ico"
+			iconFile="${installDir}\web\images\librarian.ico"
 			iconIndex="0" />
 
@@ -237,5 +237,5 @@
 			execute="${installDir}\gli\client-gli.bat"
 			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\icon.ico"
+			iconFile="${installDir}\web\images\librarian.ico"
 			iconIndex="0" />
 
@@ -244,5 +244,5 @@
 			execute="${installDir}\gli\gems.bat"
 			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\gems.ico"
+			iconFile="${installDir}\web\images\metadata.ico"
 			iconIndex="0" />
 
Index: /main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml	(revision 21608)
+++ /main/trunk/release-kits/kits/rk3/installer/antinstall-config.xml	(revision 21608)
@@ -0,0 +1,124 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE installer PUBLIC "-//tp23 //DTD Ant Installer Config//EN" "http://antinstaller.sf.net/dtd/antinstall-config-0.8.dtd">
+
+<installer
+			ui="swing,text"
+			verbose="true"
+			debug="false"
+			lookAndFeel="org.tp23.jgoodies.plaf.plastic.PlasticXPLookAndFeel"
+			name="Greenstone@version@ Installer"
+			windowIcon="/resources/icon.png"
+			defaultImageResource="/resources/header.png"
+			minJavaVersion="1.4">
+
+	<!-- select language page -->
+	<page type="input" name="language-selector" displayText="">
+		<comment name="language-selector-explanation"/>
+		<select property="language" defaultValue="en" displayText="" useAsLocale="true">
+			<option value="en" text="English"/>
+			<option value="fr" text="FranÃ§ais (French)"/>
+			<option value="es" text="EspaÃ±ol (Spanish)"/>
+			<option value="de" text="Deutsch (German)"/>
+			<option value="ru" text="ÑÑÑÑÐºÐžÐ¹ ÑÐ·ÑÐº (Russian)"/>
+			<option value="zh" text="äž­æ (Chinese)"/>
+			<option value="ar" text="Arabic"/>
+		</select>
+	</page>
+
+	<!-- welcome page -->
+	<page type="input" name="intro" displayText="">
+		<comment name="welcome-greenstone3"/>
+	</page>
+
+	<!--  type="license" shows a license page to click through -->
+	<page type="license" name="license" resource="/LICENSE.txt"  displayText="" />
+
+	<!--  install destination page -->
+	<page type="input" name="destination" displayText="">
+
+		<!-- if linux|mac -->
+		<directory property="installDir"
+			defaultValue="/usr/local/Greenstone3,${env.HOME}/Greenstone3"
+			create="true"
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
+		<!-- /if -->
+		<!-- if windows -->
+		<directory property="installDir"
+			defaultValue="C:\Program Files\Greenstone3,${env.HOMEDRIVE}${env.HOMEPATH}\Greenstone3"
+			create="true"
+			displayText=""
+			flagFile="_uninst"
+			flagFileExistsProperty="ISInstallDetected"
+			/>
+		<!-- /if -->
+
+	</page>
+
+	<!-- page to stop you going forward if an IS installation is detected -->
+	<page type="input" name="dontBudge" displayText="" ifProperty="(${ISInstallDetected}==true)" showNextButton="false">
+		<comment name="is-install-detected"/>
+	</page>
+
+	<!-- page to choose components -->
+	<page type="input" name="selector" displayText="">
+		<comment name="choose-components"/>
+
+		<target
+			target="Initialising"
+			diskRequirement="x"
+			defaultValue="true"
+			displayText="x"
+			force="true"
+			hidden="true"/>
+
+		<target
+			target="Installing Core System"
+			diskRequirement="@component.size.core@"
+			displayText=""
+			defaultValue="true"
+			force="true"/>
+
+		<target
+			target="Installing ImageMagick"
+			diskRequirement="@component.size.imagemagick@"
+			defaultValue="true" 
+			displayText=""/>
+
+		<!-- if windows|mac -->
+		<target
+			target="Installing Ghostscript"
+			diskRequirement="@component.size.ghostscript@"
+			defaultValue="true" 
+			displayText=""/>
+		<!-- /if -->
+
+		<target
+			target="Installing Tomcat"
+			diskRequirement="@component.size.tomcat@"
+			defaultValue="true"
+			displayText=""/>
+
+		<!-- if windows -->
+		<target
+			target="Installing Start Menu Shortcuts"
+			diskRequirement="~10 KB"
+			defaultValue="true"
+			displayText=""/>
+		<!-- /if -->
+
+	</page>
+
+	<!-- page to setup tomcat -->
+	<page type="input" name="tomcat-config" ifProperty="(${Installing Tomcat}==true)" displayText="">
+		<text property="tomcat.server" defaultValue="localhost" displayText=""/>
+		<text property="tomcat.port" defaultValue="8080" displayText=""/>
+		<text property="tomcat.shutdown.port" defaultValue="8005" displayText=""/>
+	</page>
+
+	<!-- the final progress page -->
+	<page type="progress" name="progress" showTargets="true" displayText=""/>
+
+</installer>
Index: /main/trunk/release-kits/kits/rk3/installer/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/installer/build.xml	(revision 21608)
+++ /main/trunk/release-kits/kits/rk3/installer/build.xml	(revision 21608)
@@ -0,0 +1,276 @@
+<?xml version="1.0"?>
+<!--
+This is the build.xml run by AntInstaller for the installer
+-->
+<project name="Installation">
+
+	<!-- this is required to pick up the properties generated during the install pages -->
+	<property file="${basedir}/ant.install.properties"/>
+
+	<!-- custom tasks -->
+	<path id="project.classpath"><pathelement path="${antinstaller.jar}"/></path>
+
+	<typedef name="rsr" classname="org.greenstone.anttasks.RegexSearchReplace" classpathref="project.classpath"/>
+	<!-- if linux|mac -->
+	<taskdef name="sevenzip" classname="org.apache.tools.ant.SevenZip" classpathref="project.classpath"/>
+	<!-- /if -->
+	<!-- if windows -->
+	<taskdef name="shortcut" classname="com.orangevolt.tools.ant.Win32ShortcutTask" classpathref="project.classpath"/> 
+	<taskdef name="winprops" classname="com.orangevolt.tools.ant.Win32PropertiesTask" classpathref="project.classpath"/> 
+	<typedef name="getfreepath" classname="org.greenstone.anttasks.GetFreePath" classpathref="project.classpath"/>
+	<!-- /if -->
+
+	<!-- create a local and strictly unix installDir String -->
+	<path id="installDir.path"><pathelement location="${installDir}"/></path>
+	<property name="installDir.local" refid="installDir.path"/>
+	<pathconvert targetos="unix" property="installDir.unix" refid="installDir.path"/>
+
+	<!-- if windows -->
+	<!-- load windows properties -->
+	<winprops/>
+	<!-- /if -->
+
+	<!-- work out whether a jre is bundled with this installer -->
+	<available file="../jre/bin" property="bundled.java.exists"/>
+
+	<!-- determine if there is an existing installation in the installDir-->
+	<available file="${installDir}\installation.properties" property="is.overinstall"/>
+
+	<!-- target to copy the bundled jre into place -->
+	<target name="Initialising" if="bundled.java.exists">
+		<mkdir dir="${installDir}"/>
+		<copy todir="${installDir}/packages/jre" failonerror="false">
+			<fileset dir="../jre"/>
+		</copy>
+		<chmod dir="${installDir}/packages/jre/bin" includes="*" perm="775"/>		
+	</target>
+
+	<!-- target to load in the messages left by the last installation -->
+	<target name="Looking For Previous Installation" if="is.overinstall">
+		<property file="${installDir}\installation.properties"/>
+		<delete dir="${installed.startmenu.path}" failonerror="false"/>
+	</target>
+
+	<target name="Installing Core System">
+
+		<!-- rip out build.xml to the temp dir so we can fake and <antcall> with <ant> -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="build.xml"/></patternset></unzip>	
+
+
+		<!-- if windows -->
+		<echo>Figuring out the start menu path</echo>
+		<getfreepath path="${win32.personal.programs_menu}\Greenstone-@version@" property="startmenu.path"/>
+		<path id="startmenu.path.path" path="${startmenu.path}"/>
+		<pathconvert targetos="unix" property="startmenu.path.unix" refid="startmenu.path.path"/>
+
+		<echo>Extracting 7za tool</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
+		<!-- /if -->
+
+		<echo>Extracting core component</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="core.lzma"/></patternset></unzip>
+		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x core.lzma"/></exec><!-- /if -->
+		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/core.lzma" output="${basedir}/core.comp"/><!-- /if -->
+		<delete file="core.lzma"/>
+		<unzip src="${basedir}/core.comp" dest="${installDir}"/>
+		<delete file="core.comp"/>
+
+		<echo>Setting binaries to executable</echo>
+		<chmod dir="${installDir}" includes="*.sh" perm="775"/>
+		<chmod dir="${installDir}/bin/script" includes="*" perm="775"/>
+		<chmod dir="${installDir}/bin" includes="*" perm="775"/>
+		<!-- if linux -->
+		<chmod dir="${installDir}/gs2build/bin/linux" includes="*" perm="775"/>
+		<!-- /if -->
+		<!-- if mac -->
+		<chmod dir="${installDir}/gs2build/bin/darwin" includes="*" perm="775"/>
+		<!-- /if -->
+		<chmod dir="${installDir}/gs2build/bin/script" includes="**/*" perm="775"/>
+		<chmod dir="${installDir}/gli" includes="*.sh" perm="775"/>
+		<chmod file="${installDir}/packages/ant/bin/ant" perm="775"/>
+		<!--
+		source is not included for now
+		<chmod dir="${installDir}/gs2build" includes="**/configure" perm="775"/>
+		<chmod dir="${installDir}/gs2build/common-src/packages/gdbm/gdbm-1.8.3" includes="mkinstalldirs" perm="775"/>
+		<chmod file="${installDir}/src/packages/javagdbm/configure" perm="775"/>
+		-->
+
+		<echo>Setting tomcat ports</echo>
+		<rsr file="${installDir}/build.properties" pattern="(tomcat.port[=:]).*" replacement="$1${tomcat.port}" />
+		<rsr file="${installDir}/build.properties" pattern="(tomcat.shutdown.port[=:]).*" replacement="$1${tomcat.shutdown.port}" />
+
+		<echo>Setting up global properties</echo>
+		<copy file="${installDir}/resources/java/global.properties.in" tofile="${installDir}/web/WEB-INF/classes/global.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/global.properties">
+			<job pattern="@gsdl3home@" replacement="${installDir.unix}/web" />
+			<job pattern="@tomcat.server@" replacement="${tomcat.server}" />
+			<job pattern="@tomcat.port@" replacement="${tomcat.port}" />
+		</rsr>
+
+		<echo>Setting up log4j properties</echo>
+		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
+		<rsr file="${installDir}/web/WEB-INF/classes/log4j.properties" pattern="@gsdl3home@" replacement="${installDir.unix}/web" />
+
+		<!-- if windows -->
+		<echo message="Setting GSDLHOME in gs2build\setup.bat"/>
+		<rsr file="${installDir}/gs2build/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir.local}\gs2build" />
+		<!-- /if -->
+
+		<echo>Creating the english dictionary</echo>
+		<copy file="${installDir}/gli/classes/dictionary.properties" tofile="${installDir}/gli/classes/dictionary_en.properties"/>
+
+		<echo>Creating usage.txt</echo>
+		<echo file="${installDir}/gs2build/etc/usage.txt"></echo>
+
+		<echo>Creating installation properties file</echo>
+		<echo file="${installDir}\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+
+		<echo>Finished</echo>
+
+	</target>
+
+	<target name="Installing ImageMagick">
+
+		<echo>Installing ImageMagick</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
+		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec><!-- /if -->
+		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/><!-- /if -->
+		<delete file="imagemagick.lzma"/>
+		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}"/>
+		<delete file="imagemagick.comp"/>
+
+		<echo>Setting binaries to executable</echo>
+		<!-- if linux -->
+		<chmod dir="${installDir}/gs2build/bin/linux/imagemagick/bin" includes="*" perm="775"/>
+		<!-- /if -->
+		<!-- if mac -->
+		<chmod dir="${installDir}/gs2build/bin/darwin/imagemagick/bin" includes="*" perm="775"/>
+		<!-- /if -->
+
+	</target>
+
+	<target name="Installing Ghostscript">
+
+		<echo>Installing Ghostscript</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
+		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec><!-- /if -->
+		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/><!-- /if -->
+		<delete file="ghostscript.lzma"/>
+		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}"/>
+		<delete file="ghostscript.comp"/>
+
+		<echo>Setting binaries to executable</echo>
+		<!-- if linux -->
+		<chmod dir="${installDir}/gs2build/bin/linux/ghostscript/bin" includes="*" perm="775"/>
+		<!-- /if -->
+		<!-- if mac -->
+		<chmod dir="${installDir}/gs2build/bin/darwin/ghostscript/bin" includes="*" perm="775"/>
+		<!-- /if -->
+
+	</target>
+
+	<target name="Installing Tomcat">
+
+		<echo>Installing Tomcat (packages/tomcat)</echo>
+		<mkdir dir="packages"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="tomcat.lzma"/></patternset></unzip>
+		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x tomcat.lzma"/></exec><!-- /if -->
+		<!-- if linux|mac --><sevenzip task="decode" input="${basedir}/tomcat.lzma" output="${basedir}/tomcat.comp"/><!-- /if -->
+		<delete file="tomcat.lzma"/>
+		<unzip src="${basedir}/tomcat.comp" dest="${installDir}"/>
+		<delete file="tomcat.comp"/>
+
+
+		<echo>Changing tomcat ports tomcat's server.xml</echo>
+		<copy file="${installDir}/resources/tomcat/server_tomcat6.xml" tofile="${installDir}/packages/tomcat/conf/server.xml" overwrite="true"/>
+		<rsr file="${installDir}/packages/tomcat/conf/server.xml">
+			<job pattern="@port@" replacement="${tomcat.port}"/>
+			<job pattern="@shutdown-port@" replacement="${tomcat.shutdown.port}"/>
+		</rsr>
+
+		<echo>Copying greenstone3.xml to tomcat directory</echo>
+		<copy file="${installDir}/resources/tomcat/greenstone3.xml" tofile="${installDir}/packages/tomcat/conf/Catalina/localhost/greenstone3.xml" overwrite="true"/>
+		<rsr file="${installDir}/packages/tomcat/conf/Catalina/localhost/greenstone3.xml" pattern="@gsdl3webhome@" replacement="${installDir.local}${file.separator}web" />
+
+		<echo>Set binaries to executable</echo>
+		<chmod dir="${installDir}/packages/tomcat/bin" includes="*.sh" perm="775"/>
+
+	</target>
+
+	<target name="Installing Start Menu Shortcuts">
+
+		<echo>Installing Start Menu Shortcuts</echo>
+
+		<mkdir dir="${startmenu.path}\Documentation"/>
+		
+		<shortcut
+			file="${startmenu.path}\Greenstone3 Server.lnk"
+			execute="${installDir}\gs3-server.bat"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\resources\images\serverico.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Greenstone Librarian Interface (GLI).lnk"
+			execute="${installDir}\gli\gli.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${installDir}\resources\images\gs3.ico"
+			iconIndex="0" />
+			
+		<shortcut
+			file="${startmenu.path}\Greenstone Editor for Metadata Sets (GEMS).lnk"
+			execute="${installDir}\gli\gems.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${installDir}\resources\images\gems.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Uninstall.lnk"
+			execute="${installDir}\Uninstall.bat"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\resources\images\uninstall.ico"
+			iconIndex="0" />
+	
+		<shortcut
+			file="${startmenu.path}\Documentation\README.lnk"
+			execute="${installDir}\README.txt" />
+		
+		<shortcut
+			file="${startmenu.path}\Documentation\Greenstone3 Users' Guide.lnk"
+			execute="${installDir}\documentation\manual\manual.pdf" />
+		
+		<shortcut
+			file="${startmenu.path}\Documentation\Greenstone2 Users' Guide.lnk"
+			execute="${installDir}\documentation\manual\gs2_user_en.pdf" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\Greenstone Wiki.url"
+			url="http://wiki.greenstone.org" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\Greenstone Website.url"
+			url="http://www.greenstone.org" />
+		
+	</target>
+
+	<!-- util target to extract the given component -->
+	<!-- pass in ${component.name} as a param -->
+	<!-- unused at this time as causes display errors in installer gui!
+	<target name="extract-component">
+		<!- - extract the component into place - ->
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="${component.name}.lzma"/></patternset></unzip>
+		<!- - if windows - ->
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ${component.name}.lzma"/></exec>
+		<!- - /if - ->
+		<!- - if linux|mac - ->
+		<sevenzip task="decode" input="${basedir}/${component.name}.lzma" output="${basedir}/${component.name}.comp"/>
+		<!- - /if - ->
+		<delete file="${component.name}.lzma"/>
+		<unzip src="${basedir}/${component.name}.comp" dest="${installDir}"/>
+		<delete file="${component.name}.comp"/>
+	</target>
+	-->
+
+</project>
Index: /main/trunk/release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21607)
+++ /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21608)
@@ -182,4 +182,5 @@
 		<!-- show important properties -->
 		<echo level="info">Version (version): ${version}</echo>
+		<echo level="info">Major Version (version.major): ${version.major}</echo>
 		<echo level="info">Branch Path (branch.path): ${branch.path}</echo>
 		<echo level="info">Date (date): ${date}</echo>
@@ -260,10 +261,8 @@
 			dest="${basedir}/installer/classes/resources"/>
 
-		<!-- os- and major version-specific files -->
+		<!-- other installer classes -->
 		<copy todir="${basedir}/installer/classes" overwrite="true">
-			<fileset dir="${rk.home}/linux/installer-classes" erroronmissingdir="false"/>
-			<fileset dir="${rk.home}/windows/installer-classes"  erroronmissingdir="false"/>
-			<fileset dir="${rk.home}/greenstone3/installer-classes" erroronmissingdir="false"/>
-			<fileset dir="${rk.home}/greenstone2/installer-classes" erroronmissingdir="false"/>
+			<fileset dir="${rk.home}/kits/rk${version.major}/installer-classes" erroronmissingdir="false"/>
+			<fileset dir="${rk.home}/shared/${rk.os}/installer-classes" erroronmissingdir="false"/>
 		</copy>
 