Index: /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 21648)
+++ /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 21649)
@@ -61,8 +61,10 @@
 
 	<target name="checkout-and-compile-documentation">
-		<svn>
-			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="documentation/shared"/>
-		</svn>		
-		<javac srcdir="documentation/shared" destdir="documentation/shared" debug="on">
+		<exec executable="svn">
+			<arg value="export"/>
+			<arg value="${svn.root}/documentation/${branch.path}/shared"/>
+			<arg value="documentation/shared"/>
+		</exec>
+		<javac srcdir="documentation/shared" destdir="" debug="on">
 			<include name="*.java"/>
 		</javac>
@@ -72,11 +74,9 @@
 	<target name="build-tutorials">
 
-		<svn>
-			<checkout url="${svn.root}/documentation/${branch.path}/tutorials" destPath="documentation/tutorials"/>
-			<checkout url="${svn.root}/main/${branch.path}/gli" destPath="documentation/gli"/>
-			<checkout url="${svn.root}/main/${branch.path}/greenstone2/perllib" destPath="documentation/perllib"/>
-			<checkout url="${svn.root}/main/${branch.path}/greenstone2/macros" destPath="documentation/macros"/>
-			<checkout url="${svn.root}/documentation/${branch.path}/tutorial_sample_files" destPath="documentation/tutorial_sample_files"/>
-		</svn>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/documentation/${branch.path}/tutorials"/><arg value="documentation/tutorials"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/main/${branch.path}/gli"/><arg value="documentation/gli"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/main/${branch.path}/greenstone2/perllib"/><arg value="documentation/perllib"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/main/${branch.path}/greenstone2/macros"/><arg value="documentation/macros"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/documentation/${branch.path}/tutorial_sample_files"/><arg value="documentation/tutorial_sample_files"/></exec>
 
 		<delete dir="documentation/tutorials/html"/>
@@ -113,9 +113,8 @@
 	<target name="build-documentation">
 		
-		<svn>
-			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="documentation/manuals"/>
-			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="documentation/shared"/>
-			<checkout url="${svn.root}/main/${branch.path}/gli" destPath="documentation/gli"/>
-		</svn>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/documentation/${branch.path}/manuals"/><arg value="documentation/manuals"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/documentation/${branch.path}/shared"/><arg value="documentation/shared"/></exec>
+		<exec executable="svn"><arg value="checkout"/><arg value="${svn.root}/main/${branch.path}/gli"/><arg value="documentation/gli"/></exec>
+
 		<unzip src="documentation/shared/fop.zip" dest="documentation/shared"/>
 		<chmod perm="a+x" file="documentation/shared/fop/fop.sh"/>
Index: /main/trunk/release-kits/kits/derk/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/derk/ant-scripts/build.xml	(revision 21648)
+++ /main/trunk/release-kits/kits/derk/ant-scripts/build.xml	(revision 21649)
@@ -42,7 +42,9 @@
 	<target name="export-dec">
 		<if><bool><not><available file="dec"/></not></bool>
-			<svn>
-				<export srcurl="${svn.root}/documented-examples/${branch.path}" destPath="documented-examples"/>
-			</svn>
+			<exec executable="svn">
+				<arg value="export"/>
+				<arg value="${svn.root}/documented-examples/${branch.path}"/>
+				<arg value="documented-examples"/>
+			</exec>
 		</if>
 	</target>
@@ -55,7 +57,9 @@
 		<if>
 			<bool><not><available file="gs2build"/></not></bool>
-			<svn>
-				<export srcurl="${svn.root}/main/${branch.path}/gs2build" destPath="gs2build"/>
-			</svn>
+			<exec executable="svn">
+				<arg value="export"/>
+				<arg value="${svn.root}/main/${branch.path}/gs2build"/>
+				<arg value="gs2build"/>
+			</exec>
 		</if>
 
Index: /main/trunk/release-kits/kits/sork2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/sork2/ant-scripts/build.xml	(revision 21648)
+++ /main/trunk/release-kits/kits/sork2/ant-scripts/build.xml	(revision 21649)
@@ -53,7 +53,9 @@
 	<target name="insert-winbin">
 		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
-		<svn>
-			<export srcurl="${svn.root}/main/${branch.path}/binaries/windows/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
-		</svn>
+		<exec executable="svn">
+			<arg value="export"/>
+			<arg value="${svn.root}/main/${branch.path}/binaries/windows/bin"/>
+			<arg value="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+		</exec>
 		<get src="${server.exe.location}" dest="distributions/Greenstone-${version}-source-distribution/bin/windows/server.exe"/>
 		