Index: main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 21651)
+++ main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 21652)
@@ -201,10 +201,8 @@
 
 	<target name="properties" depends="core-properties">
-		<echo>Optional Properties:</echo>
-		<echo>software.archive.linux                      the URL to the linux archive of components</echo>
-		<echo>software.archive.windows                    the URL to the windows archive of components</echo>
-		<echo>software.archive.mac                        the URL to the mac archive of components</echo>
-		<echo>software.archive.documented-examples        the URL to the archive of documented examples</echo>
-		<echo/>
+		<echo>software.archive.linux                      (optional)  the URL to the linux archive of components</echo>
+		<echo>software.archive.windows                    (optional)  the URL to the windows archive of components</echo>
+		<echo>software.archive.mac                        (optional)  the URL to the mac archive of components</echo>
+		<echo>software.archive.documented-examples        (optional)  the URL to the archive of documented examples</echo>
 	</target>
 
Index: main/trunk/release-kits/kits/rk2/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21651)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21652)
@@ -26,5 +26,5 @@
 
 	<!-- target to show properties in rk2-build.properties -->
-	<target name="properties" depends="core-properties"/>
+	<target name="properties" depends="core-properties,gs2-properties"/>
 
 </project>
Index: main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 21651)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 21652)
@@ -270,5 +270,5 @@
 
 		<!-- tidy up gli -->
-		<antcall target="gli-tidy-for-dist"><param name="glibasedir" value="compiled/gli"/></target>
+		<antcall target="gli-tidy-for-dist"><param name="glibasedir" value="compiled/gli"/></antcall>
 
 		<!-- mac and linux: insert export to cdrom package -->
Index: main/trunk/release-kits/kits/rk3/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/rk3/ant-scripts/build.xml	(revision 21651)
+++ main/trunk/release-kits/kits/rk3/ant-scripts/build.xml	(revision 21652)
@@ -14,5 +14,5 @@
 	<!-- IMPORT OTHER ANT SCRIPTS -->
 	<import file="${rk.home}/shared/core/ant-scripts/shared.xml"/>
-	<import file="${rk.home}/shared/greenstone2/ant-scripts/greenstone3-shared.xml"/>
+	<import file="${rk.home}/shared/greenstone3/ant-scripts/greenstone3-shared.xml"/>
 
 	<import file="compile.xml"/>
@@ -29,5 +29,5 @@
 
 	<!-- target to show properties in rk3-build.properties -->
-	<target name="properties" depends="core-properties"/>
+	<target name="properties" depends="core-properties,gs3-properties"/>
 
 	<!-- create the property set to be forwarded to greenstone3 -->
Index: main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 21651)
+++ main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 21652)
@@ -9,5 +9,5 @@
 			<arg value="${svn.root}/main/${branch.path}/greenstone3"/>
 			<arg value="compiled"/>
-			<arg value="-r"><arg value="${branch.revision}"/>
+			<arg value="-r"/><arg value="${branch.revision}"/>
 		</exec>
 
Index: main/trunk/release-kits/kits/sork2/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/sork2/ant-scripts/build.xml	(revision 21651)
+++ main/trunk/release-kits/kits/sork2/ant-scripts/build.xml	(revision 21652)
@@ -123,5 +123,5 @@
 	</target>
 
-	<target name="properties" depends="core-properties"/>
+	<target name="properties" depends="core-properties,gs2-properties"/>
 
 </project>
Index: main/trunk/release-kits/kits/sork3/ant-scripts/build.xml
===================================================================
--- main/trunk/release-kits/kits/sork3/ant-scripts/build.xml	(revision 21651)
+++ main/trunk/release-kits/kits/sork3/ant-scripts/build.xml	(revision 21652)
@@ -9,12 +9,4 @@
 
 <project name="sork3-build" default="sork3">
-
-	<!-- CONSTANTS -->
-
-	<!-- for the benefit of the shared scripts, set release-kit home -->
-	<property name="rk.name" value="sork3"/>
-	<property name="rk.home" value="${sork3.home}" />
-	<property name="rk.os" value="multi" />
-	<property name="os.suffix" value="AnyPlatform"/>
 	
 	<!-- IMPORT OTHER ANT SCRIPTS -->
@@ -23,5 +15,5 @@
 
 	<!-- THE MAIN TARGET -->
-	<target name="sork3" depends="init">
+	<target name="sork3" depends="init,gs3-init">
 
 		<!-- store the name of the distribution -->
@@ -75,5 +67,5 @@
 	</target>
 
-	<target name="properties" depends="core-properties"/>
+	<target name="properties" depends="core-properties,gs3-properties"/>
 
 </project>